Bug 1088882 - Review Request: python-humanize - Turns dates in to human readable format, e.g '3 minutes ago'
Summary: Review Request: python-humanize - Turns dates in to human readable format, e....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-17 11:12 UTC by Steve Traylen
Modified: 2014-05-30 17:08 UTC (History)
2 users (show)

Fixed In Version: python-humanize-0.5-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-23 18:56:08 UTC
jujens: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2014-04-17 11:12:57 UTC
Spec URL: http://cern.ch/straylen/rpms/python-humanize/python-humanize.spec
SRPM URL: http://cern.ch/straylen/rpms/python-humanize/python-humanize-0.5-1.fc20.src.rpm
Description:
This modest package contains various common humanization utilities, like turning
a number into a fuzzy human readable duration ('3 minutes ago') or into a human
readable size or throughput.

Fedora Account System Username: stevetraylen

Comment 1 Julien Enselme 2014-04-22 09:23:00 UTC
Hi,

According to upstream (https://pypi.python.org/pypi/humanize/0.5) it supports python3. Can you add python3 support please ?

You also have an empty line in your changelog.

Regards,

Comment 2 Steve Traylen 2014-04-22 13:51:59 UTC
Thanks for the look:

Spec URL: http://cern.ch/straylen/rpms/python-humanize/python-humanize.spec
SRPM URL: http://cern.ch/straylen/rpms/python-humanize/python-humanize-0.5-2.fc20.src.rpm

includes a python3-humanize package.

Comment 3 Julien Enselme 2014-04-22 16:19:26 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/lib/python2.7/site-
  packages/humanize/locale/fr_FR/LC_MESSAGES/humanize.mo
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 8 files have unknown license. Detailed output of
     licensecheck in /home/jenselme/Downloads/tmp/1088882-python-
     humanize/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-humanize
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: python-humanize-0.5-2.fc20.noarch.rpm
          python3-humanize-0.5-2.fc20.noarch.rpm
          python-humanize-0.5-2.fc20.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python3-humanize python-humanize
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /home/jenselme/Downloads/tmp/1088882-python-humanize/srpm/python-humanize.spec	2014-04-22 17:45:05.022764791 +0200
+++ /home/jenselme/Downloads/tmp/1088882-python-humanize/srpm-unpacked/python-humanize.spec	2014-04-22 15:20:06.000000000 +0200
@@ -60,5 +60,7 @@
 %if 0%{?with_python3}
 pushd %{py3dir}
-# With default LANG=C the README.rst file can not be read.
+pwd
+ls
+echo "LANG is ${LANG}"
 LANG=en_US.UTF-8 %{__python3} setup.py build
 popd


Requires
--------
python3-humanize (rpmlib, GLIBC filtered):
    python(abi)

python-humanize (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-humanize:
    python3-humanize

python-humanize:
    python-humanize



Source checksums
----------------
https://pypi.python.org/packages/source/h/humanize/humanize-0.5.tar.gz :
  CHECKSUM(SHA256) this package     : e51bf9956511e58693801fc8895c9b4012363bf9f0bca2f3c2777110b3ff68bc
  CHECKSUM(SHA256) upstream package : e51bf9956511e58693801fc8895c9b4012363bf9f0bca2f3c2777110b3ff68bc


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1088882
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

- Please add new line between the two entry of the changelog.
- Please use {__python2} instead of {__python}
- Please update your spec or SRPMS so they match
- Since the tests are not available in 0.5, I guess that you should remove the %check  macro
- Since all currently maintained versions of Fedora have python3, there is no need for the with_python3 variable.

Comment 4 Steve Traylen 2014-04-23 08:48:33 UTC
- Please add new line between the two entry of the changelog.

Done, I was sure both used to be permitted, but I can't see that now.

- Please use {__python2} instead of {__python}

Done, Indeed missed that from the new guidelines.

- Please update your spec or SRPMS so they match

ack.

- Since the tests are not available in 0.5, I guess that you should remove the %check  macro

I'd rather leave it as a reminder as something to do with next release.

- Since all currently maintained versions of Fedora have python3, there is no need for the with_python3 variable.

I plan EPEL7 and 6 builds also where is is not available.

Currently I'm trying to fix the duplicate files but that is rather tricky it seems, will post again when done.

Comment 6 Julien Enselme 2014-04-25 13:39:28 UTC
>> - Since all currently maintained versions of Fedora have python3, there is no need for the with_python3 variable.
> I plan EPEL7 and 6 builds also where is is not available.
Point taken.


>> - Since the tests are not available in 0.5, I guess that you should remove the %check  macro
> I'd rather leave it as a reminder as something to do with next release.
Fine by me.

> fixes up the duplicates also.
Indeed, good job.

Approved!

Comment 7 Steve Traylen 2014-04-25 14:00:40 UTC
Thank's for the review.


New Package SCM Request
=======================
Package Name: python-humanize
Short Description: Turns dates in to human readable format.
Owners: stevetraylen
Branches: f20 el6 epel7
InitialCC:

Comment 8 Gwyn Ciesla 2014-04-25 14:23:10 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-05-14 11:17:52 UTC
python-humanize-0.5-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-humanize-0.5-4.fc20

Comment 10 Fedora Update System 2014-05-14 11:18:03 UTC
python-humanize-0.5-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-humanize-0.5-4.el6

Comment 11 Fedora Update System 2014-05-14 23:58:35 UTC
python-humanize-0.5-4.fc20 has been pushed to the Fedora 20 testing repository.

Comment 12 Fedora Update System 2014-05-23 18:56:08 UTC
python-humanize-0.5-4.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-05-30 17:08:49 UTC
python-humanize-0.5-4.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.